/*
 * Project name:
     Tilt click Board Example
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Revision History:
     20150325:
       - initial release (DM);
 * Description:
     This is a simple demonstration of the Tilt click Board usage.
 * Test configuration:
     MCU:             PIC18F45K22
                      http://ww1.microchip.com/downloads/en/DeviceDoc/41412F.pdf
     Dev.Board:       EasyPIC7
                      http://www.mikroe.com/easypic/
     Oscillator:      HS-PLL 32.0000 MHz, 8.0000 MHz Crystal
     ext. modules:    Tilt click board
                      http://www.mikroe.com/click/tilt/
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/mikroc/pic/
 * NOTES:
     - Place Tilt click board at the mikroBUS socket 1 on the EasyPIC v7 board.
 */
 
sbit Tilt_V01 at RC0_bit;
sbit Tilt_V02 at RB0_bit;
sbit Tilt_V01_Direction at TRISC0_bit;
sbit Tilt_V02_Direction at TRISB0_bit;

void main() {
  Tilt_V01_Direction = 1;                                 // Set RC0 pin input
  Tilt_V02_Direction = 1;                                 // Set RB0 pin input

  UART1_Init(9600);                                       // Initialize UART module at 9600 bps
  Delay_ms(100);                                          // Wait for UART module to stabilize

  UART1_Write_Text("Start");
  UART1_Write(13);
  UART1_Write(10);
  
  while(1){
    if ((Tilt_V02 == 1) & (Tilt_V01 == 0)){
      UART1_Write_Text("Left");
      UART1_Write(13);
      UART1_Write(10);
    }
    
    if ((Tilt_V02 == 0) & (Tilt_V01 == 1)){
      UART1_Write_Text("Right");
      UART1_Write(13);
      UART1_Write(10);
    }
    
    if ((Tilt_V02 == 1) & (Tilt_V01 == 1)){
      UART1_Write_Text("Up");
      UART1_Write(13);
      UART1_Write(10);
    }
    
    if ((Tilt_V02 == 0) & (Tilt_V01 == 0)){
      UART1_Write_Text("Down");
      UART1_Write(13);
      UART1_Write(10);
    }
    
  delay_ms(250);
  }
}